Ultimo aggiornamento di KDE 4.7 disastroso!

9 risposte [Ultimo messaggio]
Ritratto di Raff82
Raff82
(Geek)
Offline
Geek
Iscritto: 30/03/2011
Messaggi: 151

Qualche settimana mi fa sono arrivati gli aggiornamenti automatici per KDE 4.7 su OpenSuse 11.4 e tutto ha funzionato a meraviglia.
Il 14 di Agosto però è arrivato un nuovo mega aggiornamento da oltre 190 package riguardante sempre KDE 4.7 (probabilmente, una ricompilazione completa per correggere qualche bug); dopo il riavvio del PC, il disastro totale!
Il processo kded4 si prende il 100% di uno dei 4 core della CPU e fa salire notevolmente la temperatura del laptop; di conseguenza, sale anche la temperatura della GPU nVidia che si tiene costantemente oltre i 60 °C.
Dopo un po' mi tocca spegnere il computer per paura che possa danneggiarsi.

Il file $HOME/.xsession.errors mostra una sfilza di errori legati a kded4, DBus, QtDBus.
Il risultato è che mi ritrovo con la OpenSuse 11.4 praticamente inutilizzabile.

A qualcuno di voi è capitata una cosa del genere?
Ma, soprattutto, possibile che gli sviluppatori di OpenSuse rilascino questi mega-aggiornamenti senza neppure verificarli?

Ritratto di pinquadr
pinquadr
(Guru)
Offline
Guru
Iscritto: 20/11/2004
Messaggi: 921

Stai usando i repository factory? se si ricordati che non sono fatti per gli utenti che vogliono avere un sistema stabile.

OpenSuse Leap42 con KDE5 su Intel I7 4930K scheda madre Asus Sabertooth X79 - RAM 32 Gb - scheda video NVIDIA GTX660 1GB - scheda TV Hauppauge WinTV Nova T stick

Ritratto di giorgioanzi
giorgioanzi
(Geek)
Offline
Geek
Iscritto: 03/03/2008
Messaggi: 82

Mi è capitata la stessa cosa....
Se ammazzo il processo kded4 va bene, ma al prossimo login ho lo stesso problema....
Per il momento non ho ancora risolto.

Giorgio

Ritratto di Sarkiapone
Sarkiapone
(Webmaster)
Offline
Webmaster
Iscritto: 04/09/2004
Messaggi: 743

Mi sembra strano, come suggerito da pinquadr controlla quali repository hai attivato. Da terminale come utente root dai il comando:

# zypper lr

Otterrai una lista dei repository attivi e posta il risultato Smile

Ritratto di giorgioanzi
giorgioanzi
(Geek)
Offline
Geek
Iscritto: 03/03/2008
Messaggi: 82

Scusa avevo dimenticato di rispondere alla domanda, confermo che ho i repo Factory, infatti se non trovo una soluzione ritorno ai repo stabili.

Giorgio

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2728

Io dico...ma un backup dell'imaggine della partizione,prima di fare esperimenti,nò,certo spendere all'incirca 5 minuti e molto,meditate gente, Clonezilla sta con voi
ciao

SUSE Tumbleweed- kernel-5.3.5-1 kde-plasma-5.17- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Ricordo che per KDE 4.7 (KR47 o KDE SC 4.7) sono disponibili i repo appositi: http://it.opensuse.org/Repository_di_KDE#Rilascio_originale_o_KR47_.28KDE_SC_4.7.29
le prestazioni globali sembrano migliorate, ma la migrazione a kmail2 può creare alcuni grattacapi At Wits End
Wink

Ritratto di Raff82
Raff82
(Geek)
Offline
Geek
Iscritto: 30/03/2011
Messaggi: 151

I repository sono quelli ufficiali KDE4 e KDE4 Extras per OpenSuse 11.4; non faccio mai esperimenti con altri repository non ufficiali.

Il bug riguarda sicuramente KDE 4.7 in quanto sta capitando lo stesso problema agli utenti di KUbuntu 11.04 Natty Narwhal; probabilmente c'è qualche problema legato alle dipendenze visto che la nuova versione di KDE è stata splittata in una quantità abnorme di moduli.

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Raff82 ha scritto:

Il 14 di Agosto però è arrivato un nuovo mega aggiornamento da oltre 190 package riguardante sempre KDE 4.7 (probabilmente, una ricompilazione completa per correggere qualche bug);
A qualcuno di voi è capitata una cosa del genere?
Ma, soprattutto, possibile che gli sviluppatori di OpenSuse rilascino questi mega-aggiornamenti senza neppure verificarli?


Purtroppo non riesco ad aggiornare con tale frequenza, la mia versione di kwin è 4.7.0-5.1.
Mi rincresce molto per gli inconvenienti, non so se sia rilevante ma la versione ufficiale supportata da openSUSE di KDE è la 4.6, gli altri (successivi) dalla comunità.

Ritratto di Raff82
Raff82
(Geek)
Offline
Geek
Iscritto: 30/03/2011
Messaggi: 151

Il problema è stato appena segnalato da numerosi utenti anche su altri forum OpenSuse.
Quindi, sicuramente i packagers hanno fatto qualche casino.

EDIT: Risolto grazie a questi repositories della versione stabile di KDE 4.7:

http://en.opensuse.org/KDE_repositories#Upstream_release_aka._KR47_.28KDE_SC_4.7.29

Da Yast, selezionate ciascuno dei due repositories "Core packages" e "Extra" e cliccate su: "passa i pacchetti di sistema".
Riavviate il computer e dovrebbe essere tutto a posto.